﻿<Window x:Class="IntehPlus.Views.FOPAddingView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        mc:Ignorable="d" Background="White" Height="450" Width="350"
        WindowStartupLocation="CenterScreen">
    <StackPanel>
        <TextBlock Margin="15,2,15,0" Text="Выберите раздел ФОП"/>
        <ComboBox Margin="15,2,15,0" Name="FOPParts" SelectionChanged="ValidationFOPParts"/>
        <TextBlock Margin="15,2,15,0" Text="Выберите параметр"/>
        <ComboBox Margin="15,2,15,0" Name="ParameterCombobox" SelectionChanged="ValidationParameter"/>
        <TextBlock Margin="15,2,15,0" Text="Выбран параметр: " Name="SelectedData"/>
        <RadioButton Margin="15,2,15,0" x:Name="OnType" Content="По типу" IsChecked="True" Checked="CheckedOnType"/>
        <RadioButton Margin="15,2,15,0" x:Name="OnInstance" Content="По экземпляру" IsChecked="False" Checked="CheckedOnInstance" />
        <Button Margin="40,10,40,0" Content="Выбрать все категории" Height="20" Name="SetAll_Button" Click="SetAll_Click"/>
        <Button Margin="40,10,40,0" Content="Сбросить все категории" Height="20" Name="DropAll_Button" Click="DropAll_Click"/>
        <ScrollViewer VerticalScrollBarVisibility="Visible" Height="150">
            <StackPanel Name="CategoriesStackPanel" Margin="15,2,15,0">
            </StackPanel>
        </ScrollViewer>

        <Button Margin="40,10,40,0" Content="Запуск" Height="20" Name="Start_Button" Click="Start_Click"/>
    </StackPanel>
</Window>

